<!--
  Created by CPL.
  User: Carlos
  Date: 27/04/2023
  Time: 22:42
  To change this template use File | Settings | File Templates | JSP Bootstrap 5.
-->
<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">

    <!-- Estilos personalizados -->
    <link href="" type="text/css" rel="stylesheet">

    <title>Votos</title>
</head>
<body>
    <script>

        const vota = (n) => {

            let formData = new FormData();
            formData.append('valor', n)
            let init = {
                method: 'POST',
                body: formData
            }

            fetch('cuentavotos', init).then(function (response) {
                return response.text();
            }).then(function (html) {
                document.getElementById("votos").innerHTML = html;
            }).catch(function (err) {
                console.warn('Something went wrong.', err);
            });
        }

    </script>

    <div class="d-flex mt-2">
        <button class="btn btn-primary mx-3" onclick="vota(1)">+1</button>
        <div id="votos"></div>
        <button class="btn btn-primary mx-3"  onclick="vota(-1)">-1</button>
    </div>

<!-- Optional JavaScript -->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
        integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js"
        integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V"
        crossorigin="anonymous"></script>
</body>
</html>